Bug 1834823 - oc rsh -n openshift-etcd etcd-member-pod should have working etcdctl
Summary: oc rsh -n openshift-etcd etcd-member-pod should have working etcdctl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.2.z
Assignee: Suresh Kolichala
QA Contact: ge liu
URL:
Whiteboard:
Depends On: 1801430
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-12 13:43 UTC by Suresh Kolichala
Modified: 2020-06-03 09:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Provide environment variables for straightforward execution of etcdctl commands on pods. Reason: Currently the user has to set several env variables involving TLS certs and ETCDCTL API version to be able to successfully run etcdctl command. Result: With this feature, the environment variables needed for straightforward execution of etcdctl are written into /root/.profile. So, when the user performs oc rsh, the etcdctl commands should work right-off the bat!
Clone Of: 1795696
Environment:
Last Closed: 2020-06-03 09:26:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1727 None closed Bug 1834823: Write environment variables needed for etcdctl execution into ~/.profile 2020-06-02 19:35:59 UTC
Red Hat Product Errata RHBA-2020:2307 None None None 2020-06-03 09:26:18 UTC

Comment 5 errata-xmlrpc 2020-06-03 09:26:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2307


Note You need to log in before you can comment on or make changes to this bug.